List all abandoned carts
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/abandoned-carts \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/abandoned-carts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/abandoned-carts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"abandoned_carts": [
{
"id": 123,
"active": true,
"cart_items_count": 123,
"email": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"is_promotion_applied": true,
"promotion_discount_percent": 123,
"promotion_discount_amount": 123,
"is_coupon_applied": true,
"coupon_code": "<string>",
"coupon_discount_percent": 123,
"coupon_discount_amount": 123,
"loyalty_point_redeemed": 123,
"loyalty_point_earned": 123,
"credit_balance_used": 123,
"currency": {
"name": "<string>",
"code": "<string>",
"symbol": "<string>"
},
"metadata": {},
"cart_items": [
{
"product_id": "<string>",
"product_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"product_variant_id": "<string>",
"quantity": 123,
"free_quantity": 123,
"is_free_item": true,
"listing_price": 123,
"selling_price": 123,
"selling_price_excluding_tax": 123,
"tax_rate": 123,
"tax_type": "<string>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"subtotal": 123,
"item_total_tax": 123,
"subtotal_including_tax": 123,
"shipping_amount": 123,
"shipping_total_tax": 123,
"shipping_amount_including_tax": 123,
"total_tax": 123,
"grand_total": 123,
"to_be_paid": 123
}
]
}
}Orders
List all abandoned carts
List all abandoned carts
GET
/
orders
/
abandoned-carts
List all abandoned carts
Was this page helpful?
⌘I